com.sun.star.script.framework.provider.oorexx

## Class ScriptProviderForooRexx

- java.lang.Object
- - com.sun.star.script.framework.provider.oorexx.ScriptProviderForooRexx

-     public class ScriptProviderForooRexx
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScriptProviderForooRexx._ScriptProviderForooRexx`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.bsf.BSFManager` | `bsfManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptProviderForooRexx()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.sun.star.lang.XSingleServiceFactory` | `__getServiceFactory(java.lang.String implName, com.sun.star.lang.XMultiServiceFactory multiFactory, com.sun.star.registry.XRegistryKey regKey)` Returns a factory for creating the service.
    `static boolean` | `__writeRegistryServiceInfo(com.sun.star.registry.XRegistryKey regKey)`
    `static org.apache.bsf.BSFManager` | `getBSFManager()`
    `static java.lang.String` | `getSystemPathFromFileURL(com.sun.star.uno.XComponentContext xContext, com.sun.star.script.framework.container.ScriptMetaData metaData)` Returns the fully qualified, operating system dependent path to the script, if it is located in the 'user' or 'share' location.
    `static java.lang.String` | `makeFilenameLegible(java.lang.String filename)` Removes curly brackets at the beginning of the string and an optionally trailing '/ucb/' string and returns result.
    `static void` | `terminateBSFManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bsfManager

          protected static org.apache.bsf.BSFManager bsfManager

  - ### Constructor Detail

    - #### ScriptProviderForooRexx

          public ScriptProviderForooRexx()

  - ### Method Detail

    - #### getBSFManager

          public static org.apache.bsf.BSFManager getBSFManager()
                                                         throws org.apache.bsf.BSFException

      Throws:
        `org.apache.bsf.BSFException`

    - #### terminateBSFManager

          public static void terminateBSFManager()

    - #### makeFilenameLegible

          public static java.lang.String makeFilenameLegible(java.lang.String filename)

      Removes curly brackets at the beginning of the string and an optionally trailing '/ucb/' string and returns result.
      Returns:
        string that contains the shortened (URL) path with file name of the script/macro

    - #### getSystemPathFromFileURL

          public static java.lang.String getSystemPathFromFileURL(com.sun.star.uno.XComponentContext xContext,
                                                                  com.sun.star.script.framework.container.ScriptMetaData metaData)

      Returns the fully qualified, operating system dependent path to the script, if it is located in the 'user' or 'share' location. Otherwise returns what 'makeFilenameLegible(String fileName)' returns.
      Returns:
        string fully qualified, operating system dependent path to the script in the 'user' or 'share' location, otherwise a short form of the OOo URL-string

    - #### __getServiceFactory

          public static com.sun.star.lang.XSingleServiceFactory __getServiceFactory(java.lang.String implName,
                                                                                    com.sun.star.lang.XMultiServiceFactory multiFactory,
                                                                                    com.sun.star.registry.XRegistryKey regKey)

      Returns a factory for creating the service. This method is called by the `JavaLoader`

      Parameters:
        `implName` - the name of the implementation for which a service is desired
        `multiFactory` - the service manager to be used if needed
        `regKey` - the registryKey
      Returns:
        returns a `XSingleServiceFactory` for creating the component
      See Also:
        `JavaLoader`

    - #### __writeRegistryServiceInfo

          public static boolean __writeRegistryServiceInfo(com.sun.star.registry.XRegistryKey regKey)